Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deBitmap_DXTC.cpp File Reference

DXTC compressed texture handling. More...

`#include "deBitmap_priv.hpp"`

Include dependency graph for deBitmap_DXTC.cpp:

## Compounds
struct | Color565
struct | Color8888
struct | DXTAlphaBlock3BitLinear
struct | DXTAlphaBlockExplicit
struct | DXTColBlock
## Functions
deBoolean | DecompressDXTC (const void *source, void *target, long Width, long Height, long TP, IdeDriver::BPP SFormat, IdeDriver::BPP TFormat)
void | GetColorBlockColors (DXTColBlock *pBlock, deARGB *col_0, deARGB *col_1, deARGB *col_2, deARGB *col_3)
void | DecodeColorBlock (u8 *pImPos, const DXTColBlock *pColorBlock, int TP, IdeDriver::BPP format, int bytedepth, deARGB col_0, deARGB col_1, deARGB col_2, deARGB col_3)
void | DecodeAlphaExplicit (u8 *pImPos, IdeDriver::BPP format, int bytedepth, DXTAlphaBlockExplicit *pAlphaBlock, int TP)
deBoolean | DecompressDXT1 (const void *source, void *target, long Width, long Height, long TP, IdeDriver::BPP TFormat)
deBoolean | DecompressDXT2 (const void *source, void *target, long Width, long Height, long TP, IdeDriver::BPP TFormat)
deBoolean | DecompressDXT3 (const void *source, void *target, long Width, long Height, long TP, IdeDriver::BPP TFormat)
deBoolean | DecompressDXT4 (const void *source, void *target, long Width, long Height, long TP, IdeDriver::BPP TFormat)
deBoolean | DecompressDXT5 (const void *source, void *target, long Width, long Height, long TP, IdeDriver::BPP TFormat)
## Variables
const int | LOW_5 = 0x001F
const int | MID_6 = 0x07E0
const int | HIGH_5 = 0xF800
const int | MID_555 = 0x03E0
const int | HI_555 = 0x7C00

## Detailed Description

DXTC compressed texture handling.

Author:
  Assassin

This file is the intellectual property of Novus Delta, LLC.. Usage of the contents of this file is subject to the Destiny3D Member License which can be found at http://www.destiny3d.com. Any other usage is prohibited.

This file is distributed "AS IS" without warranty of any kind. Novus Delta, LLC. does not guarantee the fitness of the contents of this file for any particular purpose.

Copyright (C) 2001-2003 Novus Delta, LLC. All Rights Reserved.

Change History

Date:
  Jan 2004

Author:
  Assassin

Remarks:
  Creation

## Function Documentation

void DecodeAlphaExplicit | ( | u8 * | pImPos,
|  | IdeDriver::BPP | format,
|  | int | bytedepth,
|  | DXTAlphaBlockExplicit * | pAlphaBlock,
|  | int | TP
| ) | `[inline, static]`

void DecodeColorBlock | ( | u8 * | pImPos,
|  | const DXTColBlock * | pColorBlock,
|  | int | TP,
|  | IdeDriver::BPP | format,
|  | int | bytedepth,
|  | deARGB | col_0,
|  | deARGB | col_1,
|  | deARGB | col_2,
|  | deARGB | col_3
| ) | `[inline, static]`

deBoolean DecompressDXT1 | ( | const void * | source,
|  | void * | target,
|  | long | Width,
|  | long | Height,
|  | long | TP,
|  | IdeDriver::BPP | TFormat
| ) |

deBoolean DecompressDXT2 | ( | const void * | source,
|  | void * | target,
|  | long | Width,
|  | long | Height,
|  | long | TP,
|  | IdeDriver::BPP | TFormat
| ) |

deBoolean DecompressDXT3 | ( | const void * | source,
|  | void * | target,
|  | long | Width,
|  | long | Height,
|  | long | TP,
|  | IdeDriver::BPP | TFormat
| ) |

deBoolean DecompressDXT4 | ( | const void * | source,
|  | void * | target,
|  | long | Width,
|  | long | Height,
|  | long | TP,
|  | IdeDriver::BPP | TFormat
| ) |

deBoolean DecompressDXT5 | ( | const void * | source,
|  | void * | target,
|  | long | Width,
|  | long | Height,
|  | long | TP,
|  | IdeDriver::BPP | TFormat
| ) |

deBoolean DecompressDXTC | ( | const void * | source,
|  | void * | target,
|  | long | Width,
|  | long | Height,
|  | long | TP,
|  | IdeDriver::BPP | SFormat,
|  | IdeDriver::BPP | TFormat
| ) |

void GetColorBlockColors | ( | DXTColBlock * | pBlock,
|  | deARGB * | col_0,
|  | deARGB * | col_1,
|  | deARGB * | col_2,
|  | deARGB * | col_3
| ) | `[inline, static]`

## Variable Documentation

const int HI_555 = 0x7C00`[static]`

const int HIGH_5 = 0xF800`[static]`

const int LOW_5 = 0x001F`[static]`

const int MID_555 = 0x03E0`[static]`

const int MID_6 = 0x07E0`[static]`